Getting connected

Your modem enables you to connect to your network or the Internet from almost anywhere. If your network has a phone line or lines dedicated to dial-up clients, you can use a modem to establish a connection to the LAN. If your network does not have dial-up networking capability (and many do not), you might be able to access some information and e-mail over the Internet.

Connecting to a LAN

Using the built-in modem

Setting up your modem

Connecting in Windows(R) XP or Windows 2000

Connection possibilities

Transferring data


Connecting to a LAN

Many offices have local area networks (LANs) in which computers are interconnected. You can share resources, such as files or printers; or you can use groupware, such as e-mail or group scheduling, by accessing a LAN.

Installing a network card

Accessing a LAN

Remote LAN connections

Note: If your computer has the wireless LAN feature, refer to Making wireless LAN connections.


Installing a network card

If your computer has an Ethernet feature, you can connect the computer to a LAN. If the computer does not have the feature and you want to access a LAN, you need to install an Ethernet Card, such as a Mini-PCI Card or a PC Card.

After you have the correct card for your network, you need to configure your computer to connect to the LAN. In most cases, immediately after you properly install the network PC Card, the computer informs you that new hardware has been detected, and leads you through the configuration process.

If the configuration process does not start automatically after you have properly installed the network card, refer to the documentation that came with your network card, or get technical assistance from the manufacturer of the card.

You must install and configure the proper software so that your computer will recognize the network. Speak with your network administrator about which software application you need and how to install it.


Accessing a LAN

To access a LAN, do as follows:

  1. Find a physical connection point to the LAN. If none is available, have the network administrator set up a jack, or node, on the LAN.
  2. The LAN administrator will need to establish an address for the node and an account for you. The account set up for you will probably include a user ID and a password.

Once the network is ready for you, and your ThinkPad(R) computer has the network card, you can access a LAN.

Note: If your computer has the wireless LAN feature, refer to Making wireless connections.


Remote LAN connections

If your LAN has a phone line or lines dedicated to dial-up clients, you can use a modem to establish a connection to the LAN.

If the LAN does not have dial-up networking capability (and many do not), you may be able to access some information and e-mail over the Internet. Check with your network administrator for details about networking over the Internet.


Using the built-in modem

Some models of your computer have a combo Mini-PCI Card or a Modem Daughter Card, which enables you to send or receive data and faxes over a telephone line. This modem uses a digital signal processor (DSP), and its software can be upgraded, allowing great flexibility. It supports ITU-T V.90 protocols with data rates of 56 Kbps.

You can use the modem only on a public-switched telephone network (PSTN). You cannot use a private branch exchange (PBX) or some other type of digital telephone extension line. If you connect the modem to a line other than PSTN, an error message appears, preventing you from using the line. If you are not sure which kind of phone line you are using, contact your telephone company.

Danger: To avoid shock hazard, do not connect the cable to or disconnect the cable from the telephone outlet on the wall during electrical storms.

To set the built-in modem, refer to Dialing from a hotel.

For details about modem features, refer to the following:

Telephony features

Modem commands

Modem result codes

S registers

Note: Your computer might have both the modem connector and the Ethernet connector. Be sure to connect your cable to the correct one.


Telephony features

The built-in modem has the following telephony features:

Industry standard modem support up to 56 Kbps:

Data protocols

  • Bell 103 (300 bps)

  • Bell 212A (1200 bps)

  • V.21 (300 bps)

  • V22bis (2400 bps)

  • V.34bis (33600, 31200 bps)

  • V.34 (28800, 26400,24000,21600,19200,16800,14400,12000,9600,7200,4800 bps)

  • V.90 (56000 bps downstream only)

Error correction protocols

  • MNP2-4 (Microcom error correction)

  • V.42 (error-correcting procedures for DCEs using asynchronous automatic dialing and control)

Data compression protocols

  • V.42bis (DCE data compression)

  • MNP5 (Microcom data compression)

Miscellaneous protocols

  • V.8 (startup sequence)

  • V.80 (video phone)

Industry standard fax support up to 14.4 Kbps:

Fax protocols

  • V.21 Ch 2 (300-bps fax)

  • V.17 (up to 14.4-Kbps fax)

  • V.29 (9600-bps fax)

  • V.27ter (4800-bps fax)

Computer telephony function support:

  • DTMF and pulse dialing

  • Detecting DTMF digits received from the phone line

  • Call progress monitoring

  • An auto-dialing feature

  • Telephony API (TAPI)

    Note: TAPI does not operate with Windows NT(R).


Using the Modem on Hold feature

To use the Modem on Hold feature, you should connect to the server that supports it. Ask your Internet service provider whether the server supports the V.92 Modem on Hold feature.

When a call comes in, a pop-up windows opens. Soon a message is displayed at the top right of this window, asking you to select one of two options: answer the call, or ignore it. If you select the Ignore button, the data connection is resumed. If you select the Answer button, the data connection is suspended, and you can talk on the voice phone. These choices are offered for 15 seconds; if you do not select one of them within that time, the data connection is resumed.

When you finish talking with the voice phone, hang up the handset and then click the Resume Data Call button. The Modem on Hold can be continued for up to 16 minutes; the maximum time to hold the connection is set by the Internet service provider. The remaining time is shown at the bottom right of the window. If you do not resume the data call within that time, the data connection is disconnected.

To set up the Modem on Hold (MOH) feature, click the Modem on Hold feature icon in the task tray. The following shortcut menu is displayed:

V.92 Modem on Hold Setting: The MOH Setting window opens. You can configure the MOH feature.

  • Enable Call Waiting: The call waiting feature is enabled. The modem driver detects the call waiting tone.

  • Disconnect Call, Switch to Voice: When a call comes in, the data connection is ended so that you can talk with the caller.

  • Enable MOH: The MOH feature is enabled. When the modem detects an incoming call, the pop-up message is displayed. The feature is available only if it is supported by the server you use.

    • Enable Caller ID: The telephone number of the caller will be shown. Note that both the caller and you should enable the caller ID.

    • Warn before Timeout: Before the MOH timeout, you are notified that the reserved data connection will be ended.

Call History: You can check the call history. Only information about incoming calls with Caller ID is listed here.

Start Automatically: The MOH application starts automatically when the system starts.

About MOH: The information window for the MOH application opens. You can check the version of the MOH application also.

Exit MOH: The MOH application is closed. If you close the application, the call waiting function (the pop-up message notifying you that there is an incoming call) does not work anymore.


Modem commands

This section provides information on the AT modem commands, in case you need to operate your modem from terminal software.

Running commands

Your modem is in command mode at power-on and is ready to receive and run AT commands. It remains in command mode until it connects with a remote modem. You can send commands to the modem from an attached terminal or a PC running a communication program.

The modem is designed to operate at common DTE speeds ranging from 115.2 Kbps (or 57.6 Kbps) to 300 Kbps. All commands and data must be issued to the modem at one of the valid DTE speeds.

Command format

All commands except A/ must begin with the prefix AT, followed by the command letter, and must end with the Enter key. Spaces are allowed in the command string to increase readability, but the modem ignores them while executing a command. All commands may be typed in either uppercase or lowercase, but not in mixed case. A command issued without a parameter is considered to have parameter "0".

Examples: ATL[Enter]

This command causes your modem to lower the volume from its speaker.

Verifying the type of your modem

Your ThinkPad computer has one of the following types of modem. Refer to the tables of AT commands and extended AT commands for your modem type.

  • Lucent Win Modem

  • Agere Systems AC'97 Modem

To verify your modem type, do the following:

For Windows XP:

  1. Click Start and then click Control Panel.
  2. Click Performance and Maintenance.
  3. Click System.
  4. Click the Hardware tab.
  5. Click the Device Manager button.
  6. Your modem type is given in the Device Manager window.

For Windows 2000:

  1. Click Start.
  2. Move the cursor to Settings and Control Panel.
  3. Click Control Panel, and then double-click System.
  4. Click the Hardware tab.
  5. Click the Device Manager button.
  6. Your modem type is given in the Device Manager window.

For Windows 95 and Windows 98:

  1. Click Start.
  2. Move the cursor to Settings and Control Panel.
  3. Click Control Panel, and then double-click System.
  4. Click the Device Manager tab.
  5. Your modem type is given in the Device Manager window.

For Windows NT 4.0:

  1. Click Start.
  2. Move the cursor to Settings and Control Panel.
  3. Click Control Panel, and then double-click Modems.
  4. Your modem type is given in the Modems Properties window.

If you have a Lucent Win Modem, refer to the following tables of AT commands and extended AT commands.

AT commands

Command

Function

+++

Escape sequence:

Exit data mode and enter online command mode.

A/

Repeat last command:

Repeat the preceding command.

Note: Do not precede with AT or follow with Enter.

A

Answer command:

Answer an incoming call.

Bn

Communication standard setting:

Determine the standard.

B0: Select ITU/CCITT V.22 mode @ 1200 bps.

B1: Select BELL 212A @ 1200 bps (default).

B2: Deselect V23 reverse channel (same as B3).

B3: Deselect V23 reverse channel (same as B2).

B15: Select ITU/CCITT V.21mode @ 300 bps.

B16: Select BELL 103J mode @ 300 bps.

Cn

Carrier control:

C0: Transmit carrier always off.

C1: Normal transmit carrier switching.

Dsn

Dial a telephone number n (n=0-9, A-D, #, or *) automatically. You can also assign the followings:

s=L Redial the last number dialed.

s=P Specify pulse dial.

s=T Specify tone dial (default).

s=W Wait for a second dial tone.

s= , Pause.

s= ! Hook Flash.

s=@ Wait for 5 seconds of silence.

s= ; Return to command mode after dialing.

s= $ Detect a bong tone.

DS=n

Dial command:

Dial one of four telephone numbers (n=0-3) stored in the nonvolatile memory of the modem.

En

Echo command:

E0: Disable echo to the computer.

E1: Enable echo to the computer (default).

Fn

Online data character echo command:

Determine whether the modem will echo data from the DTE.

F0: Online data character echo enabled (this is not supported).

F1: Online data character echo disabled.

Hn

Hook control:

Control on-hook/off-hook.

H0: Modem goes on-hook (default).

H1: Modem goes off-hook.

I

Request ID information:

Display product information about the modem.

Lucent Win Modem

I0: Specify the firmware and device ID.

I1: Specify the checksum code.

I2: Start the ROM test and verify the checksum.

I3: Specify the firmware and device ID (same as I0).

I4: Specify the firmware version for the data pump.

I5: Specify the code version, board ID, country ID, and subsystem vendor ID in hexadecimal.

I6-8: Return OK for compatibility.

I9: Specify the country ID in English.

I11: Display connection information.

L

Set the speaker volume:

L0: Select low volume.

L1: Select low volume.

L2: Select medium volume (default).

L3: Select high volume.

M

Control the speaker mode.

M0: Turn the speaker off.

M1: Turn the speaker on until the modem detects the carrier signal (default).

M2: Keep the speaker on when the modem is off the hook.

M3: Keep the speaker on until the carrier is detected, except when dialing.

N

Modulation handshake: Control whether the local modem performs a negotiated handshake.

N0: Disable auto mode, with the modem handshake speed specified by S37.

N1: Enable auto mode, with the modem handshake speed specified by S37 (default).

O

Return to online data mode.

O0: Return to data mode.

O1: Start an equalizer retain, and return to data mode.

O3: Start a rate renegotiation, and return to data mode.

P

Select pulse dialing.

Q

Turn the result code on or off.

Q0: Enable the result codes (default).

Q1: Disable the result codes.

Sn

Control the S register.

Sn?: Read the S register n, where n=0-110.

Sn=r: Set the S register n to value r, where n=0-110, r=0-255.

T

Select tone dialing.

V

DCE response format:

Control the format of the result code.

V0: Display the result code as digits.

V1: Display the result code as text (default).

W

Result code options:

W0: The CONNECT result code reports the DTE receive speed. Disable the protocol result codes.

W1: The CONNECT result code reports the DTE receive speed. Enable the protocol result codes.

W2: The CONNECT result code reports the DCE receive speed. Enable the protocol result codes (default).

X

Select result code and monitor call progress:

Control the tone detection option used in the dialing process.

Extended Dial Busy

result tone tone

code detect detect

X0 Disable Disable Disable

X1 Enable Disable Disable

X2 Enable Enable Disable

X3 Enable Disable Enable

X4 Enable Enable Enable (default)

X5 Enable Enable Enable

X6 Enable Enable Enable

X7 Disable Enable Enable

Y

Keep long space disconnect disabled.

Y0: Disable long space disconnect (default).

Y1: Enable long space disconnect (not supported).

Z

Reset and recall the stored profile.

Extended AT commands

Command

Function

&B

V.32 auto-retrain:

This modem always auto-retrains.

&B0: Disable V.32 auto-retrain (not supported).

&B1: Enable V.32 auto-retrain (default).

&C

Data carrier detect (DCD) control:

&C0: Specify that carrier detect is always on.

&C1: Turn on the carrier detect when the remote carrier is present (default).

&D

Data terminal ready (DTR):

&D0: Ignore the DTR signal.

&D1: Return the modem to command mode after a DTR toggle.

&D2: Hang up the modem, and return to command mode after a DTR toggle (default).

&D3: Reset the modem after a DTR toggle.

&F

Local factory settings:

Load the factory default configuration.

&G

V.22bis guard tone control:

Determine which guard tone to transmit while transmitting in the high band.

&G0: Disable the guard tone (default).

&G1: Enable a 550-Hz guard tone.

&G2: Enable a 1800-Hz guard tone.

&J

Auxiliary relay option:

&J0: The auxiliary relay is never closed (default).

&J1: Not supported.

&K

Local flow control selection:

&K0: Disable flow control.

&K1: Reserved.

&K2: Reserved.

&K3: Enable RTS/CTS (hardware) flow control (default).

&K4: Enable XON/XOFF flow control.

&M

Asynchronous communications mode:

&M0: Asynchronous mode (default).

&M1: Reserved.

&M2: Reserved.

&M3: Reserved.

&M4: Reserved.

&Pn

Pulse dial make-to-break ratio selection effective only for Japan:

&P0: 39/61 make/break ratio, 10PPS.

&P1: 33/67 make/break ratio, 10PPS (default).

&P2: 33/67 make/break ratio, 20PPS.

&Q

Asynchronous communication mode:

&Q0: Asynchronous mode, buffered. (same as \N0).

&Q5: Error control mode, buffered (default). (same as \N3).

&Q6: Asynchronous mode, buffered (same as \N0).

&Q8: MNP error control mode. If an MNP error control protocol is not established, the modem will fall back according to the current user setting in S36.

&Q9: V.42 or MNP error control mode. If neither error control protocol is established, the modem will fall back according to the current user setting in S36.

&S

Data set ready (DSR) option:

This command selects the DSR action.

&S0: DSR always ON (default).

&S1: DSR comes on when a connection is established, and goes off when the connection ends.

&T

Self-test commands:

Do diagnostic tests on the modem.

&T0: Abort. Stop any test in progress.

&T1: Local analog loop.

&T3: Local digital loopback test.

&T6: Remote digital loopback test.

&V

View the active configuration:

This command is used to display the active profiles.

&W

Store current configuration:

Store certain command options and S-register values except S3, S4, S5.

&Y

Select the stored profile for hard reset (for compatibility with applications that issue the &Y0 command):

&Y0: Select stored profile 0 on power-up.

&Y1: Error.

&Z

Store the telephone number:

Store up to 4 digits in a dialing string.

\A

Select the maximum MNP block size:

\A0: 64 characters.

\A1: 128 characters.

\A2: 192 characters.

\A3: 256 characters.

\B

Transmit break to remote:

\Bn: Break length in 100ms units (n=1-9, default: 3).

\G

Control the flow of the modem port:

\G0: Modem is to process XON/XOFF flow control characters locally (default).

\G1: Modem is to process XON/XOFF flow control characters.

\J

Adjust bit/s rate control:

\J0: Buffer mode. Error control selected by \Nn command (default).

\J1: Force the maximum DCE rate to the DTE rate.

\K

Send break control:

[a] If the modem receives a break from the DTE while the modem is operating in data transfer mode:

\K0: Enter online command mode. Don't send a break to the remote modem.

\K1: Clear the data buffers and send a break to the remote modem.

\K2: Same as \K0.

\K3: Send a break to the remote modem immediately.

\K4: Same as \K0.

\K5: Send a break to the remote modem in sequence with transmitted data (default).

[b] If the modem is in the online command state during a data connection, and \B is received to send a break to the remote modem:

\K0: Clear data buffers and send a break to the remote modem.

\K1: Same as \K0.

\K2: Send a break to the remote modem immediately.

\K3: Same as \K2.

\K4: Send a break to the remote modem in sequence with data.

\K5: Same as \K4 (default).

[c] If a break is received from a remote modem during a connection:

\K0: Clear the data buffers and send a break to the DTE.

\K1: Same as \K0.

\K2: Send a break to the remote modem immediately.

\K3: Same as \K1.

\K4: Send a break in sequence with received data to DTE.

\K5: Same as \K4 (default).

\N

Select error control mode:

\N0: Buffer mode. No error control (same as &Q6).

\N1: Direct mode.

\N2: MNP or disconnect mode.

\N3: V.42, MNP, or buffer (default).

\N4: V.42 or disconnect.

\N5: V.42, MNP, or buffer (same as \N3).

\N7: V.42, MNP, or buffer (same as \N3).

\Q

Select local flow control:

\Q0: Disable flow control. (same as &K0).

\Q1: XON/XOFF software control. (same as &K4).

\Q2: CTS-only flow control. This is not supported, and the response is error.

\Q3: RTS/CTS to DTE (default). (same as &K3).

\R

Ring indicator off after answer:

\R0: The ring indicator signal goes off when the telephone is answered.

\T

Inactivity timer:

\T0: Inactivity timer disabled (default).

\Tn: Inactivity timer, n minutes. (n=1-255)

\V

Protocol result code:

\V0: Disable the protocol result code appended to the DCE speed.

\V1: Enable the protocol result code appended to the DCE speed (default).

\V2: Same as \V1.

\X

XON/XOFF passthrough:

\X0: Specify that the modem is to process XON/XOFF flow control characters locally (default).

\X1: Specify that the modem is to pass XON/XOFF flow control characters.

%B

View numbers in the blacklist:

Displays the numbers for which the last call attempted in the past 2 hours failed.

%C

Data compression control:

%C0: V.42bis/MNP5 disabled. No data compression.

%C1: V.42bis/MNP5 enabled. Data compression enabled (default).

%E

Automatic rate change:

%E0: Disable fall-back and fall-forward.

%E1: Enable fall-back, but disable fall-forward.

%E2: Enable fall-back and fall-forward (default).

-C

Data calling tone:

-C0: Disabled (default).

-C1: Enabled.

-V90

Enable or disable the V.90 setting:

-V90=0: Disable V.90.

-V90=1: Enable V.90 auto rate (default).

-V90=n: Control the downstream rate (2-23).

-V90=?: Show the range of n.

-V90?: Show the current value.

If you have a an Agere Systems AC'97 Modem, refer to the following tables of AT commands and extended AT commands.

AT commands

Command

Function

+++

Escape sequence:

Exit data mode and enter online command mode.

A/

Repeat last command:

Repeat the preceding command.

Note: Do not precede with AT or follow with Enter.

A

Answer command:

Answer an incoming call.

Bn

Communication standard setting:

Determine the standard.

B0: Select ITU/CCITT V.22 mode @ 1200 bps.

B1: Select BELL 212A @ 1200 bps (default).

B2: Deselect V23 reverse channel (same as B3).

B3: Deselect V23 reverse channel (same as B2).

B15: Select ITU/CCITT V.21mode @ 300 bps.

B16: Select BELL 103J mode @ 300 bps (default).

Cn

Carrier control:

C0: Transmit carrier always off (not supported).

C1: Normal transmit carrier switching (default).

Dsn

Dial a telephone number n (n=0-9, A-D, #, or *) automatically. You can also assign the followings:

s=L Redial the last number dialed.

s=P Specify pulse dial.

s=T Specify tone dial (default).

s=W Wait for a second dial tone.

s= , Pause.

s= ! Hook Flash.

s=@ Wait for 5 seconds of silence.

s= ; Return to command mode after dialing.

s= $ Detect a bong tone.

DS=n

Dial command:

Dial one of four telephone numbers (n=0-3) stored in the nonvolatile memory of the modem.

En

Echo command:

E0: Disable echo to the computer.

E1: Enable echo to the computer (default).

Fn

Online data character echo command:

Determine whether the modem will echo data from the DTE.

F0: Online data character echo enabled (this is not supported).

F1: Online data character echo disabled.

Hn

Hook control:

Control on-hook/off-hook.

H0: Modem goes on-hook (default).

H1: Modem goes off-hook.

I

Request ID information:

Display product information about the modem.

Agere Systems AC'97 Modem

I0: Return modem identity string and driver version number.

I1: Return OK.

I2: Return OK.

I3: Return modem identity string and driver version number (same as I0).

I4: Return the firmware version for the data pump.

I5: Return the board/firmware ID and country ID in hexadecimal.

I6: Return OK for compatibility.

I7: Hardware version

I8: Codec version

I9: Return the country ID in English.

I10: Return OK for compatibility.

I11: Display connection information.

L

Set the speaker volume:

L0: Select low volume.

L1: Select low volume.

L2: Select medium volume (default).

L3: Select high volume.

M

Control the speaker mode.

M0: Turn the speaker off.

M1: Turn the speaker on until the modem detects the carrier signal (default).

M2: Keep the speaker on when the modem is off the hook.

M3: Keep the speaker on until the carrier is detected, except when dialing.

N

Modulation handshake: Control whether the local modem performs a negotiated handshake.

N0: Disable auto mode, with the modem handshake speed specified by S37.

N1: Enable auto mode, with the modem handshake speed specified by S37 (default).

O

Return to online data mode.

O0: Return to data mode.

O1: Start an equalizer retain, and return to data mode.

O3: Start a rate renegotiation, and return to data mode.

P

Select pulse dialing.

Q

Turn the result code on or off.

Q0: Enable the result codes (default).

Q1: Disable the result codes.

Sn

Control the S register.

Sn?: Read the S register n, where n=0-110.

Sn=r: Set the S register n to value r, where n=0-110, r=0-255.

T

Select tone dialing.

V

DCE response format:

Control the format of the result code.

V0: Display the result code as digits.

V1: Display the result code as text (default).

W

Result code options:

W0: The CONNECT result code reports the DTE receive speed. Disable the protocol result codes.

W1: The CONNECT result code reports the DTE receive speed. Enable the protocol result codes.

W2: The CONNECT result code reports the DCE receive speed. Enable the protocol result codes (default).

X

Select result code and monitor call progress:

Control the tone detection option used in the dialing process.

Extended Dial Busy

result tone tone

code detect detect

X0 Disable Disable Disable

X1 Enable Disable Disable

X2 Enable Enable Disable

X3 Enable Disable Enable

X4 Enable Enable Enable (default)

X5 Enable Enable Enable

X6 Enable Enable Enable

X7 Disable Enable Enable

Y

Keep long space disconnect disabled.

Y0: Disable long space disconnect (default).

Y1: Enable long space disconnect (not supported).

Z

Reset and recall the stored profile.

Extended AT commands

Command

Function

&B

V.32 auto-retrain:

This modem always auto-retrains.

&B0: Disable V.32 auto-retrain (not supported).

&B1: Enable V.32 auto-retrain (default).

&C

Data carrier detect (DCD) control:

&C0: Specify that carrier detect is always on.

&C1: Turn on the carrier detect when the remote carrier is present (default).

&D

Data terminal ready (DTR):

&D0: Ignore the DTR signal.

&D1: Return the modem to command mode after a DTR toggle.

&D2: Hang up the modem, and return to command mode after a DTR toggle (default).

&D3: Reset the modem after a DTR toggle.

&F

Local factory settings:

Load the factory default configuration.

&G

V.22bis guard tone control:

Determine which guard tone to transmit while transmitting in the high band.

&G0: Disable the guard tone (default).

&G1: Enable a 550-Hz guard tone.

&G2: Enable a 1800-Hz guard tone.

&J

Auxiliary relay option:

&J0: The auxiliary relay is never closed (default).

&J1: Not supported.

&K

Local flow control selection:

&K0: Disable flow control.

&K1: Reserved.

&K2: Reserved.

&K3: Enable RTS/CTS (hardware) flow control (default).

&K4: Enable XON/XOFF flow control.

&M

Asynchronous communications mode:

&M0: Asynchronous mode (default).

&M1: Reserved.

&M2: Reserved.

&M3: Reserved.

&M4: Reserved.

&Pn

Pulse dial make-to-break ratio selection effective only for Japan:

&P0: 39/61 make/break ratio, 10PPS.

&P1: 33/67 make/break ratio, 10PPS (default).

&P2: 33/67 make/break ratio, 20PPS.

&Q

Asynchronous communication mode:

&Q0: Asynchronous mode, buffered. (same as \N0).

&Q5: Error control mode, buffered (default). (same as \N3).

&Q6: Asynchronous mode, buffered (same as \N0).

&Q8: MNP error control mode. If an MNP error control protocol is not established, the modem will fall back according to the current user setting in S36.

&Q9: V.42 or MNP error control mode. If neither error control protocol is established, the modem will fall back according to the current user setting in S36.

&S

Data set ready (DSR) option:

This command selects the DSR action.

&S0: DSR always ON (default).

&S1: DSR comes on when a connection is established, and goes off when the connection ends.

&T

Self-test commands:

Do diagnostic tests on the modem.

&T0: Abort. Stop any test in progress.

&T1: Local analog loop.

&T3: Local digital loopback test.

&T6: Remote digital loopback test.

&V

View the active configuration:

This command is used to display the active profiles.

&W

Store current configuration:

Store certain command options and S-register values except S3, S4, S5.

&W0: Store the current configuration as profile 0.

&W1: Store the current configuration as profile 1.

&Y

Select the stored profile for hard reset (for compatibility with applications that issue the &Y0 command):

&Y0: Select stored profile 0 on power-up.

&Y1: Select stored profile 1 on power-up.

&Z

Store the telephone number:

Store up to 4 digits in a dialing string.

\A

Select the maximum MNP block size:

\A0: 64 characters.

\A1: 128 characters.

\A2: 192 characters.

\A3: 256 characters.

\B

Transmit break to remote:

\Bn: Break length in 100ms units (n=1-9, default: 3).

\G

Control the flow of the modem port:

\G0: Modem is to process XON/XOFF flow control characters locally (default).

\G1: Modem is to process XON/XOFF flow control characters.

\J

Adjust bit/s rate control:

\J0: Buffer mode. Error control selected by \Nn command (default).

\J1: Force the maximum DCE rate to the DTE rate.

\K

Send break control:

[a] When the modem is operating in DTM:

\K0: Enter online command mode. Don't send a break to the remote modem.

\K1: Clear the data buffers and send a break to the remote modem.

\K2: Same as \K0.

\K3: Send a break to the remote modem immediately.

\K4: Same as \K0.

\K5: Send a break to the remote modem in sequence with transmitted data (default).

[b] When the modem is in the online command state during a data connection:

\K0: Clear data buffers and send a break to the remote modem.

\K1: Same as \K0.

\K2: Send a break to the remote modem immediately.

\K3: Same as \K2.

\K4: Send a break to the remote modem in sequence with data.

\K5: Same as \K4 (default).

[c] When a break is received during a connection:

\K0: Clear the data buffers and send a break to the DTE.

\K1: Same as \K0.

\K2: Send a break to the remote modem immediately.

\K3: Same as \K1.

\K4: Send a break in sequence with received data to DTE.

\K5: Same as \K4 (default).

\N

Select error control mode:

\N0: Buffer mode. No error control (same as &Q6).

\N1: Direct mode.

\N2: MNP or disconnect mode.

\N3: V.42, MNP, or buffer (default).

\N4: V.42 or disconnect.

\N5: V.42, MNP, or buffer (same as \N3).

\N7: V.42, MNP, or buffer (same as \N3).

\Q

Select local flow control:

\Q0: Disable flow control. (same as &K0).

\Q1: XON/XOFF software control. (same as &K4).

\Q2: CTS-only flow control. This is not supported, and the response is error.

\Q3: RTS/CTS to DTE (default). (same as &K3).

\R

Ring indicator off after answer:

\R0: The ring indicator signal goes off when the telephone is answered.

\T

Inactivity timer:

\T0: Inactivity timer disabled (default).

\Tn: Inactivity timer, n minutes. (n=1-255)

\V

Protocol result code:

\V0: Disable the protocol result code appended to the DCE speed.

\V1: Enable the protocol result code appended to the DCE speed (default).

\V2: Same as \V1.

%B

View numbers in the blacklist:

Displays the numbers for which the last call attempted in the past 2 hours failed.

%C

Data compression control:

%C0: V.42bis/MNP5 disabled. No data compression.

%C1: V.42bis/MNP5 enabled. Data compression enabled (default).

%E

Automatic rate change:

%E0: Disable fall-back and fall-forward.

%E1: Enable fall-back, but disable fall-forward.

%E2: Enable fall-back and fall-forward (default).

-C

Data calling tone:

-C0: Disabled (default).

-C1: Enabled.

-V90

Enable or disable the V.90 setting:

-V90=0: Disable V.90.

-V90=1: Enable V.90 auto rate (default).

-V90=n: Control the downstream rate (2-23).

-V90=?: Show the range of n.

-V90?: Show the current value.


Modem result codes

The following table lists the basic codes that the modem sends to your computer in response to the commands you enter. They are called result codes. The table is for both Lucent Win Modem and Agere Systems AC'97 Modem.

Numeric | Result code | Description
0 | OK | The command has been run.
1 | Connect | The modem is connected to the line.
2 | Ring | A ring signal has been detected.
3 | No carrier | The modem lost the carrier signal, or does not detect the carrier signal, or does not detect the answer tone.
4 | Error | Invalid command.
5 | Connect 1200EC | Connection at 1200 bit/s.
6 | No dial tone | No dial is tone detected.
7 | Busy | Busy signal is detected.
8 | No answer | The remote end never answered.
10 | Connect 2400 EC | Connection at 2400 bit/s.
11 | Connect 4800 EC | Connection at 4800 bit/s.
12 | Connect 9600 EC | Connection at 9600 bit/s.
13 | Connect 14400 EC | Connection at 14400 bit/s.
14 | Connect 19200 EC | Connection at 19200 bit/s.
18 | Connect 57600 EC | Connection at 57600 bit/s (DTE rate).
24 | Connect 7200 EC | Connection at 7200 bit/s.
25 | Connect 12000 EC | Connection at 12000 bit/s.
28 | Connect 38400 EC | Connection at 38400 bit/s (DTE rate).
40 | Connect 300 EC | Connection at 300 bit/s.
55 | Connect 21600 EC | Connection at 21600 bit/s.
56 | Connect 24000 EC | Connection at 24000 bit/s.
57 | Connect 26400 EC | Connection at 26400 bit/s.
58 | Connect 28800 EC | Connection at 28800 bit/s.
59 | Connect 31200 EC | Connection at 31200 bit/s.
60 | Connect 33600 EC | Connection at 33600 bit/s.
70 | Connect 32000 EC | Connection at 32000 bit/s (V.90 mode).
72 | Connect 36000 EC | Connection at 36000 bit/s (V.90 mode).
74 | Connect 40000 EC | Connection at 40000 bit/s (V.90 mode).
76 | Connect 44000 EC | Connection at 44000 bit/s (V.90 mode).
78 | Connect 48000 EC | Connection at 48000 bit/s (V.90 mode).
80 | Connect 52000 EC | Connection at 52000 bit/s (V.90 mode).
82 | Connect 56000 EC | Connection at 56000 bit/s (V.90 mode).
86 | Connect 16800 EC | Connection at 16800 bit/s.
87 | Connect 115200 EC | Connection at 115200 bit/s (DTE rate).
88 | Delayed | Delay is in effect for the dialed number.
89 | Blacklisted | The dialed number is blacklisted.
90 | Blacklist full | The blacklist is full.
100 | Connect 28000 EC | Connection at 28000 bit/s (V.90 mode).
101 | Connect 29333 EC | Connection at 29333 bit/s (V.90 mode).
102 | Connect 30666 EC | Connection at 30666 bit/s (V.90 mode).
103 | Connect 33333 EC | Connection at 33333 bit/s (V.90 mode).
104 | Connect 34666 EC | Connection at 34666 bit/s (V.90 mode).
105 | Connect 37333 EC | Connection at 37333 bit/s (V.90 mode).
106 | Connect 38666 EC | Connection at 38666 bit/s (V.90 mode).
107 | Connect 41333 EC | Connection at 41333 bit/s (V.90 mode).
108 | Connect 42666 EC | Connection at 42666 bit/s (V.90 mode).
109 | Connect 45333 EC | Connection at 45333 bit/s (V.90 mode).
110 | Connect 46666 EC | Connection at 46666 bit/s (V.90 mode).
111 | Connect 49333 EC | Connection at 49333 bit/s (V.90 mode).
112 | Connect 50666 EC | Connection at 50666 bit/s (V.90 mode).
113 | Connect 53333 EC | Connection at 53333 bit/s (V.90 mode).
114 | Connect 54666 EC | Connection at 54666 bit/s (V.90 mode).


S registers

S registers are information storage areas inside the modem. The AT command set uses the S registers to configure modem options. Some S registers have default settings. These are usually adequate for normal modem operations. In special circumstances, however, you may need to change some defaults.

To read or change the value of an S register, begin the command with the letters AT.

To read the value of an S register, use the command ATSr? where r is a register number 0-110. For example, to read the value of S register 0, type ATS0? and press Enter.

To change the value of an S register, use the command ATSr=n where r is a register number 0-110, and n is the new value you want to assign. For example, to change the value of S register from 0 to 20 rings, type ATS0=20 and press Enter.

Verifying the type of your modem

Your ThinkPad computer has one of the following types of modem. Refer to the table of S registers for your modem type.

  • Lucent Win Modem

  • Agere Systems AC'97 Modem

To verify your modem type, do the following:

For Windows XP:

  1. Click Start and then click Control Panel.
  2. Click Performance and Maintenance.
  3. Click System.
  4. Click the Hardware tab.
  5. Click the Device Manager button.
  6. Your modem type is given in the Device Manager window.

For Windows 2000:

  1. Click Start.
  2. Move the cursor to Settings and Control Panel.
  3. Click Control Panel, and then double-click System.
  4. Click the Hardware tab.
  5. Click the Device Manager button.
  6. Your modem type is given in the Device Manager window.

For Windows 98:

  1. Click Start.
  2. Move the cursor to Settings and Control Panel.
  3. Click Control Panel, and then double-click System.
  4. Click the Device Manager tab.
  5. Your modem type is given in the Device Manager window.

For Windows NT 4.0:

  1. Click Start.
  2. Move the cursor to Settings and Control Panel.
  3. Click Control Panel, and then double-click Modems.
  4. Your modem type is given in the Modems Properties window.

If you have a Lucent Win Modem, refer to the following table of S registers:

Register

Function

Register value (Default value)

S0

Auto-answer ring number

0-255 rings (0)

S1

Ring counter

0-255 rings (0)

S2

AT escape character (user-defined)

0-127 ASCII (43)

S3

Command line termination character (user-defined)

0-127 ASCII (13)

S4

Response formatting character (user-defined)

0-127 ASCII (10)

S5

Command line editing character (user-defined)

0-127 ASCII (8)

S6

Wait before dialing

2-65 seconds (2)

S7

Connection completion timeout

1-255 seconds (50)

S8

Comma dial modifier time

0-65 seconds (2)

S10

Automatic disconnect delay

1-254 10ths of a seconds (20)

S11

DTMF dialing speed

50-150 milliseconds (95)

S12

Escape guard time

0-255 50ths of a second (50)

S14

Status of general bitmapped options

Only bits 2 and 6 are used. (8)

Bit 2: Result codes (Vn)

    0=Numeric (V0)

    1=Verbal (V1)

Bit 6: Pulse dial PPS selection (&Pn)

    0=10 PPS (&p0, &p1)

    1=20 PPS (&p2)

S21

Status of V.24 and general bitmapped options

Only bits 3, 4, and 5 are used. (48)

Bits 3-4: DTR behavior (&Dn)

    0=&D0 selected

    1=&D1 selected

    2=&D2 selected

    3=&D3 selected

Bit 5: DCD behavior (&Cn)

    0=&C0 selected

    1=&C1 selected

S22

Status of results bitmapped options

Only bits 4, 5, and 6 are used. (112)

Bits 4-5: result codes (Xn)

    0=X0 selected

    4=X4 selected

    5=X5 selected

    6=X6 selected

    7=X7 selected

S24

Timer to control sleep mode

0, 5-65 seconds (10)

S28

Enable or disable of V.34 modulation

0=Disabled

1=Enabled (default)

S30

Inactivity timer

0-255 minutes (0)

S32

Synthetic ring volume

0-255 (16)

S33

Synthetic ring frequency

0-5 (0)

S35

Data calling tone

0=Disabled (default)

1=Enabled

S36

Negotiation fallback

See S48

S37

Dial line rate

0=Auto rate (default)

1=Reserved

2=1200/75 bps (V.23)

3=300 bps

4=Reserved

5=1200 bps

6=2400 bps

7=4800 bps

8=7200 bps

9=9600 bps

10=12000 bps

11=14400 bps

12=16800 bps

13=19200 bps

14=21600 bps

15=24000 bps

16=26400 bps

17=28800 bps

18=31200 bps

19=33600 bps

S42

Auto rate

This command is used for testing and debugging only.

    0=Disabled

    1=Enabled (default)

S43

Auto mode

This command is used for testing and debugging only.

    0=Disabled

    1=Enabled (default)

S48

LAPM error control and feature negotiation

7=Enabled (default)

128=Disabled

S48=7

S36=0,2 LAPM or hangup

S36=1,3 LAPM or async

S36=4,6 LAPM, MNP or hangup

S36=5,7 LAPM, MNP or async

S48=128

S36=0,2 do not use

S36=1,3 async

S36=4,6 MNP or hangup

S36=5,7 MNP or async

S89

Timer to control sleep mode

0, 5-65 seconds (10)

S90

Read-only local phone

0=on-hook

1=off-hook

S91

Line transmit level

6-15 dB (15)

S108

Network coded type

22=micro-Law

33=A-Law

7 =V.8 information. Or choose on the basis of the country ID. (default)

If you have an Agere Systems AC'97 Modem, refer to the following table of S registers:

Register

Function

Register value (Default value)

S0

Auto-answer ring number

0-255 rings (0)

S1

Ring counter

0-255 rings (0)

S2

AT escape character (user-defined)

0-255 ASCII (43)

S3

Carriage return character

0-127 ASCII (13)

S4

Line feed character

0-127 ASCII (10)

S5

Back space character

0-255 ASCII (8)

S6

Time for dial tone

3-255 seconds (3)

S7

Wait time for carrier

1-255 seconds (50)

S8

Pause time for dial delay modifier

0-255 seconds (2)

S9

Reserved

S10

Reserved

S11

DTMF tone duration

50-255 milliseconds (95)

S12

Escape guard time

0-255 50ths of a second (50)

S14

Status of general bitmapped options:

command echo, quiet mode, result codes, tone/pulse

Only bits 1,2, 3, and 5 are used, read only.

Default: 138 (10001010b)

Bit 0: Line current monitoring

    0=Disabled (default)

    1=Enabled

Bit 1: Command echo (En)

    0=Disabled

    1=Enabled (default)

Bit 2: Quiet mode (Qn)

    0=Send result codes (default)

    1=Do not send result codes

Bit 3: Result codes (Vn)

    0=Numeric

    1=Verbose (default)

Bit 5: Tone (T)/Pulse (P)

    0=Tone (default)

    1=Pulse

Bit 6: Pulse dial PPS selection (&Pn)

    0=10 PPS (default)

    1=20 PPS

S20

Sync underrun fill character

0-255 (0)

S21

Status of V.24 and general bitmapped options:

DTR behavior, DCD behavior

Only bits 3, 4, and 5 are used.

Default: 48 (00110000b)

Bits 0: Set by &Jn command but otherwise ignored.

    0=J0 (default)

    1=J1

Bits 1: Sync modem underrun action

    0=Send underrun fill character (default)

    1=Repeat Last Valid character

Bits 3-4: DTR behavior (&Dn)

    0=&D0 selected

    1=&D1 selected

    2=&D2 selected (default)

    3=&D3 selected

Bit 5: DCD behavior (&Cn)

    0=&C0 selected

    1=&C1 selected (default)

Bit 6: DSR behavior (&Sn)

    0=&S0 selected (default)

    1=&S1 selected

Bit 7: Long space disconnect(Yn)

    0=Y0 (default)

    1=Y1

S22

Status of Speaker/Results bitmapped options:

speaker volume, speaker control, limit result codes, pulse dial make break ratio

Only bit 7 is reserved.

Default: 70 (01000110b)

Bits 0-1: Speaker volume

    0=Off (L0)

    1=Low (L1)

    2=Medium (L2 default)

    3=High (L3)

Bits 2-3: Speaker control (Mn)

    0=Disabled (M0)

    1=Off on carrier (M1 default)

    2=Always on (M2)

    3=On during hand shake (M3)

Bits 4-6: Limit result codes (Xn)

    n=Xn (default n=4)

Bit 7: Pulse dial make/break ratio (&Pn)

    0=33/67 make/break ratio (default)

    1=33/61 make/break ratio

S23

Status of general bit-mapped options:

guard tone type, busy cycles, bell modem permitted fag, ABCD dialing permitted.

Default: 8 (00110110b)

Bit 0: Bell mode switching by ATM

    0=Enabled (default)

    1=Disabled

Bits 1-3: Number of busy signals to detect line condition., 3.

Bit 4: ABCD DTMF dialing

    0=Enabled (default)

    1=Disabled

Bit 5: Busy detection during dialtone detection

    0=Enabled (default)

    1=Disabled

Bits6-7: Guard tone (&Gn)

    0=None (default)

    1=550Hz

    2=1800Hz

S27

Status of general bit-mapped options:

V.90 upstream at 3429Hz, remote digital loop-back request handling, bell compatibility mode, maximum DCE speed

Default: 54 (00010111b)

Bit 0: V.90 upstream at 3429Hz

    0=Disabled

    1=Enabled (default)

Bit 1: Remote digital loop-back request handling

    0=Deny (default)

    1=Grant

Bits 2-5: Reserved

Bit 6: Bell compatibility mode

    0=ITU-T (CCITT) mode

    1=Bell mode (default)

Bit 7: Maximum DCE speed

    0=Not limited (default)

    1=Limited DTE rate

S28

Status of general bit-mapped options:

pulse dialing, mode selection

Default: 160 (10100000b)

Bits 3-4: Pulse dialing (&Pn)

    0=39-61% make/break ratio at 10 pulses/s (default)

    1=33-67% make/break ratio at 10 pulses/s

    2=39-61% make/break ratio at 20 pulses/s

    3=33-67% make/break ratio at 20 pulses/s

Bits 5-7: Mode selection (&Qn)

    0=Select asynchronous normal buffered mode

    1=Select synchronous connect mode with asynchronous command mode

    2-4=Reserved

    5=Try to establish an error-corrected link (default)

    6=Select asynchronous normal buffered mode

    7=Reserved

S29

Flash dial modifier time

0-255 x10 miliseconds (70)

S30

Inactivity timer

0-255 x10 seconds (0)

S32

Xon character

0-255 (17)

S33

Xoff character

0-155 (19)

S35

Reserved

S36

LAPM failure control

Default: 7 (00000111b)

Bits 0-2: Action upon LAPM failure

    0=Disconnect

    1=Stay on-line and a normal mode connection is established

    2=Reserved

    3=Stay on-line and a normal mode connection is established

    4=An MNP connection is attempted and if it fails, disconnect

    5=An MNP connection is attempted and if it fails, a normal mode connection is established

    6=Reserved

    7=An MNP connection is attempted and if it fails, a normal mode connection is established (default)

Bits 4-7: Reserved

S37

Line connection speed

Default: 0

0=Auto rate

1=Reserved

2=1200/75 bps (V.23)

3=300 bps

4=Reserved

5=1200 bps

6=2400 bps

7=4800 bps

8=7200 bps

9=9600 bps

10=12000 bps

11=14400 bps

12=16800 bps

13=19200 bps

14=21600 bps

15=24000 bps

16=26400 bps

17=28800 bps

18=31200 bps

19=33600 bps

S42

Reserved

S43

Reserved

S48

V.42 negotiation control

Default: 7

7=Negotiation (default)

128=Disable negotiation. Force immediate fallback options specified in S36.

0=Disable negotiation. Bypass the detection and negotiationphases then proceed with LAPM.

S36 and S48 Configuration Settings

S48=7

S36=0,2 LAPM or hangup

S36=1,3 LAPM or async

S36=4,6 LAPM, MNP or hangup

S36=5,7 LAPM, MNP or async

S48=128

S36=0,2 do not use

S36=1,3 async

S36=4,6 MNP or hangup

S36=5,7 MNP or async

S53

Status of general bitmapped options

Default: 47 (00101111b)

Bit 0: Tone dialing

    0=Disabled

    1=Enabled

Bit 1: Pulse dialing

    0=Disabled

    1=Enabled

Bit 2: Switch between tone and pulse dialing in a single dialing string

    0=Disabled

    1=Enabled

Bit 3: 20pps pulse dialing

    0=Disabled

    1=Enabled

Bit 4: 1300Hz calling tone

    0=Disabled

    1=Enabled

Bit 5: ATH1 feature

    0=Disabled

    1=Enabled

Bit 6: Speaker monitoring

    0=Not enforced

    1=Enforced

Bit 7: Blind dialing control

    0=Blind Dialing Delay in S6

    1=Blind Dialing Delay in S54

S54

Blind dialing delay

S56

Status of general bitmapped options

Default: 0 (00000000b)

Bits 0-1: Pulse dialing method

    0=N pulses per digit (0 - 10 pulses)

    1=N+1 pulses per digit

    2=10-N pulses per digit

    3=Reserved

Bits 2-3: Dial modifier translation

    0="," pause dial modofier, "W" wait for dial tone

    1=Both "," and "W" translated into pause dial modifier

    2=Both "," and "W" translated into wait for dialtone modifier

Bit 4: Hook flash during pulse dialing

    0=Disabled

    1=Enabled

Bit 5: Secondary dialtone detection

    0=Disabled

    1=Enabled

Bit 6: Phone connect 52000 response for all V.90 data rate

    0=Disabled

    1=Enabled

Bit 7: V.90 rate derision for poor quality connections

    0=Conservative

    1=Aggressive

S90

Reserved

S91

PSTN transmit attenuation level

6-25 -dBm transmit level (10)

S92

FAX transmit attenuation level

6-25 -dBm transmit level (10)

S93

DTMF transmit attenuation level

5-25 -dBm transmit level (6)

S94

DTMF transmit attenuation level

0, 5-25 -dBm transmit level (0)


Setting up your modem

While you are on the road, you may need to change or enter dialing properties so that you can make modem connections from your hotel room or another location. Click one of the following topics for information:

Dialing from a hotel

Dialing long distance

Selecting a local number

Using a local number

Dialing with a calling card

Dialing manually

Modem use abroad

Airplane connections


Dialing from a hotel

If your operating system is Windows(R) 2000, refer to Connecting in Windows 2000 or Windows XP.

In many offices and hotels, you must dial a specific number to access an outside line. To use your modem dialer in these instances, you need to change the way the modem dials. Ask someone in an office or ask the front desk which numbers are required for dialing out.

Attention: Be sure that the phone line you plan to connect your computer to is not digital. Connecting to a digital phone line can damage your modem.

  1. Connect your computer to an analog phone jack.

  2. To open the Modems Properties window, click this button:
    3. .

  3. Click Dialing Properties.

  4. Click New-->OK. Then type a name for the new location. For example, you might live and work in Chicago and plan a trip to the Dallas office. Type Dallas office, replacing the words "New location (2)."

  5. In the Dallas hotel where you usually stay, you must dial 8 to get a local, outside line. Type 8 in the box beside For local calls, dial.

  6. In the same hotel, you must dial 9 to call long distance. Type 9 in the box beside For long distance calls, dial.

  7. Click Area Code Rules.

  8. Assume, for example, that your hotel is in Dallas in the 972 area code. The hotel has a 669 prefix. The Dallas office is in the 214 area code, and has an 828 prefix. The phone service at this hotel requires that you dial a 1 for calls to numbers with the 828 prefix. In the "When calling within my area code" window, click New beside the window "Dial 1 for the numbers with the following prefixes." Type 828, and then click OK.
    9. When you call the local area network of the Dallas office, the modem will automatically dial a 1, so calls should go through the hotel switchboard.

  9. You know that to call Fort Worth (area code 817) from the Dallas hotel (area code 214), you must dial 9 to access long distance, but you do not need to dial 1 before calling numbers in the Fort Worth area code. In the "When calling other area codes" window, click New, type 817, and then click OK.


Dialing long distance

If your operating system is Windows(R) XP or Windows 2000, refer to Connecting in Windows XP or Windows 2000.

Once you have set up your computer to call on outside lines , you have dealt with most of the issues related to making long-distance calls.

Make sure you have changed the location you are dialing from; then you can make computer-to-ISP and computer-to-computer calls.

With the Phone Dialer and your computer and telephone connected to the same line, you can store numbers and call those numbers with ease.

Note: You will need to have a dual jack to the same phone line or a "Y" splitter for your phone line so your computer and telephone can share the same line.

To use the Phone Dialer:

  1. To start the Phone Dialer, click this button:

  2. In the Number to dial field, enter the number (long distance or local) you want to dial. You can dial a number one time by entering a number in this field. (The location and dialing rules set in Modems Properties will apply to the numbers used in the Phone Dialer.)
  3. Click Dial.

You can save up to eight numbers accessible through the buttons in the "Speed dial" box. To save a Speed dial number:

  1. Click Edit-->Speed Dial.
  2. Click a button you want to associate a telephone number with.
  3. Type a name or abbreviation in the Name field.
  4. Type the complete telephone number in the Number to dial field. To type a local number, type just the seven digits. To type a long-distance number, type according to this example: 555 5551234.
  5. Click Save.
  6. To dial the number you just stored, click the Speed dial button; then pick up the handset or press the speaker button on your telephone, if your phone has one.


Selecting a local number

If your operating system is Windows(R) XP or Windows 2000, refer to Connecting in Windows XP or Windows 2000.

Long distance bills for calls to your hometown Internet service provider (ISP) access number might become expensive. Many ISPs offer local access numbers in many locations.

Browse the Web to get access numbers for your ISP in the city you are visiting. In the search engine you prefer, type the name of your ISP and then search for information about access numbers.

You can also call your ISP to request local access numbers for the city you will travel to. The ISP Web page should list a telephone number for customers.

Record as many local access numbers as possible for the city you are visiting. If one number does not work or is busy, you have other numbers to try.

When you have obtained local access numbers, you need to make two changes:

  1. Make sure you change your Dialing Properties to meet the requirements of the hotel or office from which you might make calls.
  2. Create a new dial-up connection for the local access number .


Using a local number

If your operating system is Windows(R) XP or Windows 2000, refer to Connecting in Windows XP or Windows 2000.

When you know the local access number of your Internet Service Provider (ISP) in the city you are visiting, and you have made changes to Dialing Properties, you need to create a new connection in the Dial-up Networking application as follows:

For Windows 98 SE:

  1. To open the Dial-up Networking utility, click Start -> Programs -> Accessories -> Communications -> Dial-Up Networking.
  2. Click Make New Connection.
  3. Type a name for the computer you will call. Your dialer will call the local telephone number of your ISP in the city you are calling from. For example, you might type Dallas Local Access.
  4. Click Next and then enter the local telephone number for your ISP.
  5. Click Next, and then Finish.
  6. Click your Web browser icon. Before your browser opens, a Dial-up Connection window will open. The window will display the name of the connection your browser will attempt to make.
  7. If the connection name does not match the name you just entered, click list arrow and select the correct connection.
  8. Check if the User Name and Password are correct. If not, input the correct User Name and Password.
  9. Click Connect to make a connection.

For Windows NT(R) 4.0:

If the Dial-Up Networking is not already installed, you should install it by the following procedure:

  1. Click Start -> Programs -> Dial-Up Networking.
  2. A dialog box appears, asking if you want to install Dial-up Networking. Click Install.
  3. When the Add RAS Device dialog appears, select the modem you are going to use; then click OK.
  4. Click the Network button.
  5. Select TCP/IP and click OK.
  6. Click the Continue button.
  7. When you are prompted to restart the system, click Restart.

To create the new connection, do as follows:

  1. Click Start -> Programs -> Dial-Up Networking.
  2. If the dialog box appears that says The phonebook is empty. Press OK to add an entry, click OK. Otherwise, click New.
  3. Type the name of the new connection in the Name the new phonebook entry box.
  4. If you know all the options that are required to connect to the Internet, check the checkbox for "I know all about phonebook entries and would rather edit the properties directly", click Next, and fill in all the options you need. Then click OK. Otherwise, click Next and check all the options you want to apply, then click Next, type the dial number, check all the options you want to apply, then click Next, then click Finish.


Dialing with a calling card

If your operating system is Windows(R) XP or Windows 2000, refer to Connecting in Windows XP or Windows 2000.

You can use a credit card or a calling card dialing long distance with your computer.

For Windows 98 or Windows NT(R):

  1. To open the Modems Properties, click this button:
  2. Click Dialing Properties.
  3. Mark the box beside For long distance calls, use this calling card.
  4. Click the Calling Card button.
  5. If your calling card requires an access number, click the list arrow and scroll through the preset calling card options. If your calling card company or number is not listed, click New, and then type a name for your calling card access number.
  6. A message opens that says you will need to enter dialing rules. Click OK; dialing rules will be covered in later steps.
  7. If you must dial a Personal Identification Number (PIN) to use your calling card, enter that in the PIN text field.
  8. Beside To use this calling card for long distance calls, I must dial this access number (phone number), enter the number you must dial to use your calling credit card.
  9. Beside To use this calling card for international calls, I must dial this access number (phone number), enter the number you must dial to use your calling card for international calls.
  10. Below "Calling card sequence for," click Long Distance Calls.
  11. Determine the procedure you follow when you make long distance calls manually, and use the list arrows to define the events that prompt you to move to the next step. When you have entered the dialing sequence, click OK.
  12. Click International Calls, and then complete the calling card sequence for international calls. If you make no international calls, simply click OK.
  13. Click OK until you exit Dialing Properties.

For Windows 95:

  1. To open the Modems Properties window, click Start --> Settings --> Control Panel, and then double-click the Modem icon.
  2. Click Dialing Properties.
  3. Mark the box beside Dialing using Calling Card.
  4. Click Change Calling Card if the window is not open.
  5. If your calling card requires an access number, click the list arrow and scroll through the preset calling card options. If your calling card company or number is not listed, click New, and then type a name for your calling card access number.
  6. Click the Advanced button.
  7. Enter the Dialing Rules for local area, Long distance, and International calls; then click Close.
  8. Click OK repeatedly until you exit Dialing Properties.


Dialing manually

If your operating system is Windows(R) XP or Windows 2000, refer to Connecting in Windows XP or Windows 2000.

Sometimes it is easier to dial an access number manually. To make a connection if your computer is repeatedly unable to connect to your Internet service provider (ISP) or to a LAN, follow these steps.

Note: You will need to have a dual jack to the same phone line or a "Y" splitter for your phone line so that your computer and telephone can share the same line.

For Windows 98 SE:

  1. Start your browser or the application you use to connect to your ISP.
  2. The Dial-up Connection window will open.
  3. Click Setting..., select the connection you use in the Dial-up settings section, then click Setting....
  4. Click Properties in the Dial-up settings section and then click Configure....
  5. Click the Options tab.
  6. In the Dial control box, mark the Operator assisted or manual dial check box; then click OK -> OK.
  7. Click Connect. The Manual Dial opens, directing you to dial the ISP access number. With the phone that shares the line with your modem, dial the ISP access number.
  8. When you hear the tone the ISP computer answer with, click Connect, and then hang up the handset.

For Windows NT:

  1. Click Start -> Programs -> Accessories -> Dial-Up Networking.
  2. Click the More button, then click Operator assisted or manual dial.
  3. Click Dial, check User Name and Password. Then click OK.
  4. Operator Assisted or Manual Dial dialog box will open, directing you to dial to the ISP access number. With the phone that shares a line with your modem, dial the ISP access number.
  5. When you hear the tone the ISP computer answer with, click OK, and then hang up the handset.


Modem use abroad

If your operating system is Windows(R) 2000 or Windows XP, refer to Connecting in Windows 2000 or Windows XP.

Different countries and regions follow different procedures and regulations regarding modem use. Be sure to check with your hotel front desk or with the local telephone utility to learn the proper procedure for plugging in and unplugging your modem and power cord.

Attention: To avoid shock hazard, do not connect the cable to or disconnect the cable from the telephone outlet on the wall during an electrical storm.

Around the world there are dozens of plugs and jacks for phone connections. You can usually purchase an adapter while in destination country, but adapter kits are available in your home country prior to your trip.

Some countries support pulse dialing rather than tone dialing. To change dialing methods:

  1. To start Modem Properties, click this button:
  2. Click Dialing Properties.
  3. Click the button beside Tone Dial or Pulse Dial depending on the dialing method required.
  4. Click Apply-->OK-->OK.

Note: In many regions, you cannot use the built-in modem function until IBM has received approval from the proper authorities.

Your built-in modem is a worldwide modem and can be used in any region where Postal Telegraph and Telephone (PTT) type approval has been obtained. You can change the modem setting as needed for the region where you use the modem.

For more information on the use of the built-in modem in a specific region, contact the IBM customer support center in that region.

To learn more about adapters and other options that can make travel abroad easier, click here: http://www.pc.ibm.com/us/thinkpad/proven/ (You must have access to the Internet to connect to this Web page.)


Airplane connections

Note: Fees for calls placed with on-board phones can be very expensive. Shorten connection time by working offline on letters and by downloading e-mail that you can read later.

Airplanes that have older phones do not have phone jacks for modems. Using these phones to connect requires an acoustic coupler, which connects your modem to the handset of the phone.

If you do not have an acoustic coupler and there is no phone jack, you will be unable to make a modem connection while flying.

If you know you must have modem access while in flight and you cannot be sure of what phone equipment will be available, purchase an acoustic coupler well in advance. It might take a little time to secure the item.

If using an acoustic coupler, refer to the documentation that comes with it.

Note: Even if the on-board phone has a data jack, you will need to provide your own cable. Make sure to pack one in your computer case.

  1. Connect your computer to the data jack.
  2. Dial manually your ISP and credit card numbers.
  3. When you hear a tone from the computer you are dialing, click Connect, and then hang up the handset.


Connecting in Windows 2000 or Windows XP

If you sometimes have to dial in to one or more networks from remote sites, such as hotels or offices, you will need to start by setting up in your computer a profile for each site you dial from and a profile for each network you dial in to.

Dialup connections

Connecting to the network

Using Phone Dialer (Windows(R) 98 and Windows 2000)

For details on setting up network and dial-up connections, refer to Windows online help.


Dial-up connections in Windows 2000 and Windows XP

To set up a profile for a remote site, do the following:

  1. To open the Phone and Modems Options window, click this button:
    2. .

  2. Click New.... The New Location window opens. Complete the fields in the window as follows:

Location Name:

Type the location from which you will be dialing, and then select the country or region from which you will be dialing and type the area code.

Dialing rules:

If you need to dial a number to get an outside line, for example, complete the fields in "Dialing rules," according to your requirements.

Dial using:

Some telephone systems support pulse dialing; others support tone dialing. Select the dialing method for a site, by marking either Tone or Pulse.

Dialing with a calling card:

To dial with a calling card, click the Calling Card tab, and fill out the fields as needed.

Area code rules:

In many offices and hotels, you must dial a specific number, called a prefix, to get access to an outside line. You can store combinations of prefix and area code in your computer. Just click the Area Code Rules tab, and fill out the fields as needed.

Connection preference

If you are unable to communicate with your modem, the data parameters--data bits, parity, or stop bits--specified in the profile may not be correct. Make sure that the parameters set on your computer are compatible with the network.

To change the parameters, do the following:

  1. In the Phone and Modem Options window, click the Modems tab.
  2. Click the modem you want; then click Properties. The Modem Properties window opens.
  3. Click Advanced .
  4. Click Change Default Preferences.... The Modem Default Preference window opens.
  5. Click the Advanced tab. Under Hardware Settings, you can set your connection preferences.


Connecting to the network in Windows 2000 and Windows XP

For each network you want to dial in to, you will need to set up a profile. When you have set up a profile, it remains in your computer until you delete it.

  1. To open Network and Dial-up Connections (Network Connections in Windows XP), click this button:
    2. Double-click Make New Connection. (For Windows(R) XP, click Create a new connection in the Network Tasks pane.) The Network Connection Wizard window opens.
  2. Click Next.
  3. Click Dial-up to private network. (For Windows XP, click Connect to the network at my workplace.)
  4. Click Next; then follow the instructions on the screen.
  5. Click Finish to complete the settings.
  6. Enter your user name and password; then click Properties.
  7. Enter the settings you want, and then click OK.

Now you are ready to dial in. The procedure is as follows:

  1. Double-click Network and Dial-up Connections in the Control Panel. (In the Windows XP Control Panel, click Network and Internet Connections, and then click Network Connections.) The network connections window opens, displaying an icon for each network profile you have set up.
  2. Double-click the icon for the network you want to dial in to.
  3. Enter your user name and password; then click Dial.


Using Phone Dialer in Windows 2000

With your computer and telephone connected to the same line, you can use the Phone Dialer to make a call, or participate in a video conference call, from your computer. The dialer can also store telephone numbers. Make sure that you have selected the profile for the site you are dialing from; then you can make computer-to-ISP (Internet Service Provider) and computer-to-computer calls.

Note: Your telephone line will need to be equipped with a dual jack or a "Y" splitter so that your computer and your telephone can share it.

To open the Phone Dialer, click Start --> Programs --> Accessories --> Communications --> Phone Dialer.

For more information on how to use the Phone Dialer, read the help files provided within the application.

Note: This feature is supported on Windows(R) 98 and Windows 2000. It is not supported on Windows XP.


Using a local number in Windows XP or Windows 2000

To create a new connection in the Dial-up Networking application, do as follows:

For Windows XP:

  1. Click Start -> Control Panel.
  2. Click Network and Internet connection.
  3. Click Network Connection.
  4. Click Create a new connection in the Network Tasks section.
  5. Click Next in the New Connection Wizard window.
  6. Follow the instructions on the screen.

For Windows 2000:

  1. To open the Networking and Dial-up Connections window, click Start -> Programs -> Accessories -> Communications -> Network and Dial-Up Connections.
  2. Double-click Make New connections. The Network Connection Wizard window opens.
  3. Click Next.
  4. Click Dial-up to private network. Click Next, then follow the instructions on the screen.
  5. Click Finish to complete the settings. The Connect Dial-up Connection window opens.
  6. Enter your user name and password; then click Properties. The Dial-up Connection window opens.
  7. Enter the settings you want, and then click OK -> Cancel. The icon for the new connection is created in the Network and Dial-up Connections folder.
  8. Follow the steps 6 to 11 in the preceding section.